import request from '@/utils/request'

export function getInitOrder(params) {
  return request({
    url: '/api/supply/getinitorder',
    method: 'get',
    params: params
  })
}

export function savePurchaseOrder(data, supplier_name, start_time, end_time, rate_of_concession, discount_amount) {
  return request({
    url: '/api/supply/savepurchaseorder?supplier_name=' + supplier_name + '&start_time=' + start_time + '&end_time=' + end_time + '&rate_of_concession=' + rate_of_concession + '&discount_amount=' + discount_amount,
    method: 'post',
    data: data
  })
}

export function getAllSupply(params) {
  return request({
    url: '/api/supply/getallsupply',
    method: 'get',
    params: params
  })
}

export function getAllPurchaseOrderList(params) {
  return request({
    url: '/api/supply/getallpurchaseorderlist',
    method: 'get',
    params: params
  })
}

export function updatePurchaseOrder(data, supplier_name, start_time, end_time, rate_of_concession, discount_amount, id, number) {
  return request({
    url: '/api/supply/updatepurchaseorder?supplier_name=' + supplier_name + '&start_time=' + start_time + '&end_time=' + end_time + '&rate_of_concession=' + rate_of_concession + '&discount_amount=' + discount_amount + '&id=' + id + '&number=' + number,
    method: 'post',
    data: data
  })
}

export function checkPurchaseOrder(id, params) {
  return request({
    url: '/api/supply/checkpurchaseorder?id=' + id,
    method: 'Get',
    params: params
  })
}

export function getPurchaseOrderDetail(id, params) {
  return request({
    url: '/api/supply/getpurchaseorderdetail?id=' + id,
    method: 'get',
    params: params
  })
}
