import Layout from '@/views/layout/Layout'

export default {
  path: '/supply',
  component: Layout,
  redirect: 'noredirect',
  name: 'supplyManage',
  alwaysShow: true,
  meta: {
    title: 'supplyManage',
    icon: 'supply',
    isChild: true
  },
  children: [
    {
      path: '/supply/query',
      component: () => import('@/xt_pages/supply/supplyQuery'),
      name: 'supplyQuery',
      meta: { title: 'supplyQuery', noCache: true }
    },
    {
      path: '/supply/add',
      component: () => import('@/xt_pages/supply/components/addSupply'),
      name: 'addSupply',
      hidden: true,
      is_menu: false,
      meta: { title: 'addSupply', noCache: true },
      isChild: true
    },
    {
      path: 'purchase/order/query',
      component: () => import('@/xt_pages/supply/purchaseOrderQuery'),
      name: 'purchaseOrderQuery',
      meta: { title: 'purchaseOrderQuery', noCache: true }
    },
    {
      path: '/purchase/order/add',
      component: () => import('@/xt_pages/supply/components/addPurchaseOrder'),
      name: 'addPurchaseOrder',
      meta: { title: 'addPurchaseOrder', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/purchase/order/edit',
      component: () => import('@/xt_pages/supply/components/editPurchaseOrder'),
      name: 'editPurchaseOrder',
      meta: { title: 'editPurchaseOrder', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },
    {
      path: '/purchase/order/print',
      component: () => import('@/xt_pages/supply/components/purchaseOrderPrint'),
      name: 'purchaseOrderPrint',
      meta: { title: 'purchaseOrderPrint', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    },

    {
      path: 'good/order/query',
      component: () => import('@/xt_pages/supply/goodOrderQuery'),
      name: 'goodOrderQuery',
      meta: { title: 'goodOrderQuery', noCache: true }
    },
    {
      path: '/good/order/add',
      component: () => import('@/xt_pages/supply/components/addGoodOrder'),
      name: 'addGoodOrder',
      meta: { title: 'addGoodOrder', noCache: true },
      hidden: true,
      is_menu: false,
      isChild: true
    }

  ]
}
